GetAdminRoles
Gets the admin roles.
Example request: Get two admin roles attached to the admin_user_id=22.
Authentication
AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value:
```
Authorization: Bearer $VOXIMPLANT_TOKEN
```
See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.
Query parameters
admin_role_id
The admin role ID to filter
admin_role_name
The admin role name part to filter
admin_role_active
Whether the admin role is enabled to filter
with_entries
Whether to get the permissions
with_account_roles
Whether to include the account roles
with_parent_roles
Whether to include the parent roles
included_admin_user_id
The attached admin user ID list separated by semicolons (;). Use the ‘all’ value to select all admin users
excluded_admin_user_id
Not attached admin user ID list separated by semicolons (;). Use the ‘all’ value to select all admin users
full_admin_users_matching
Set false to get roles with partial admin user list matching
showing_admin_user_id
The admin user to show in the ‘admin_users’ field output
count
The max returning record count
offset
The first N records are skipped in the output
Response
Successful response
result
total_count
The total found admin role count
count
The returned admin role count